DataFormatSpecification (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.io.dataformat
Class DataFormatSpecification

    java.lang.Object
      org.maltparser.core.io.dataformat.DataFormatSpecification

    public class DataFormatSpecification

extends Object

Since:
  1.0
Author:
  Johan Hall

Nested Class Summary
`static class` | `DataFormatSpecification.DataStructure`
`class` | `DataFormatSpecification.Dependency`

Constructor Summary
`DataFormatSpecification()`

Method Summary
`void` | `addEntry(String dataFormatEntryName, String category, String type, String defaultOutput)`
`DataFormatInstance` | `createDataFormatInstance(SymbolTableHandler symbolTables, String nullValueStrategy, String rootLabel)`
`String` | `getDataFormatName()`
`DataFormatSpecification.DataStructure` | `getDataStructure()`
`HashSet<DataFormatSpecification.Dependency>` | `getDependencies()`
`DataFormatEntry` | `getEntry(String dataFormatEntryName)`
`void` | `parseDataFormatXMLfile(String fileName)`
`void` | `parseDataFormatXMLfile(URL url)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataFormatSpecification

    public DataFormatSpecification()

Method Detail

### createDataFormatInstance

    public DataFormatInstance createDataFormatInstance(SymbolTableHandler symbolTables,
                                                       String nullValueStrategy,
                                                       String rootLabel)
                                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### parseDataFormatXMLfile

    public void parseDataFormatXMLfile(String fileName)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDependencies

    public HashSet<DataFormatSpecification.Dependency> getDependencies()

### parseDataFormatXMLfile

    public void parseDataFormatXMLfile(URL url)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### addEntry

    public void addEntry(String dataFormatEntryName,
                         String category,
                         String type,
                         String defaultOutput)

### getEntry

    public DataFormatEntry getEntry(String dataFormatEntryName)

### getDataFormatName

    public String getDataFormatName()

### getDataStructure

    public DataFormatSpecification.DataStructure getDataStructure()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.